Update server schedule
curl --request POST \
--url https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Resource",
"minute": "example",
"hour": "example",
"day_of_month": "example",
"month": "*",
"day_of_week": "example",
"is_active": true,
"only_when_online": true
}
'import requests
url = "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}"
payload = {
"name": "Example Resource",
"minute": "example",
"hour": "example",
"day_of_month": "example",
"month": "*",
"day_of_week": "example",
"is_active": True,
"only_when_online": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example Resource',
minute: 'example',
hour: 'example',
day_of_month: 'example',
month: '*',
day_of_week: 'example',
is_active: true,
only_when_online: true
})
};
fetch('https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Example Resource',
'minute' => 'example',
'hour' => 'example',
'day_of_month' => 'example',
'month' => '*',
'day_of_week' => 'example',
'is_active' => true,
'only_when_online' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}"
payload := strings.NewReader("{\n \"name\": \"Example Resource\",\n \"minute\": \"example\",\n \"hour\": \"example\",\n \"day_of_month\": \"example\",\n \"month\": \"*\",\n \"day_of_week\": \"example\",\n \"is_active\": true,\n \"only_when_online\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Example Resource\",\n \"minute\": \"example\",\n \"hour\": \"example\",\n \"day_of_month\": \"example\",\n \"month\": \"*\",\n \"day_of_week\": \"example\",\n \"is_active\": true,\n \"only_when_online\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Resource\",\n \"minute\": \"example\",\n \"hour\": \"example\",\n \"day_of_month\": \"example\",\n \"month\": \"*\",\n \"day_of_week\": \"example\",\n \"is_active\": true,\n \"only_when_online\": true\n}"
response = http.request(request)
puts response.read_body{
"object": "server_schedule",
"attributes": {
"id": 448,
"name": "Leo",
"cron": {
"day_of_week": "*",
"day_of_month": "*",
"month": "*",
"hour": "*",
"minute": "*"
},
"is_active": true,
"is_processing": false,
"only_when_online": false,
"last_run_at": "<string>",
"next_run_at": "2026-06-30T04:00:00+00:00",
"created_at": "2026-09-22T14:45:24+00:00",
"updated_at": "2026-09-22T14:45:24+00:00",
"relationships": {
"tasks": {
"object": "list",
"data": [
{
"object": "schedule_task",
"attributes": {
"id": 151,
"sequence_id": 4,
"action": "power",
"payload": "test command",
"time_offset": 120,
"is_queued": false,
"continue_on_failure": false,
"created_at": "2026-09-22T14:45:24+00:00",
"updated_at": "2026-09-22T14:45:24+00:00"
}
}
]
}
}
}
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>",
"source": {
"field": "<string>"
}
}
]
}Agendamentos
Atualizar Agendamento
Modifica configurações de tempo e comportamento de um agendamento.
POST
/
api
/
client
/
servers
/
{server_uuid}
/
schedules
/
{schedule_id}
Update server schedule
curl --request POST \
--url https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Resource",
"minute": "example",
"hour": "example",
"day_of_month": "example",
"month": "*",
"day_of_week": "example",
"is_active": true,
"only_when_online": true
}
'import requests
url = "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}"
payload = {
"name": "Example Resource",
"minute": "example",
"hour": "example",
"day_of_month": "example",
"month": "*",
"day_of_week": "example",
"is_active": True,
"only_when_online": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example Resource',
minute: 'example',
hour: 'example',
day_of_month: 'example',
month: '*',
day_of_week: 'example',
is_active: true,
only_when_online: true
})
};
fetch('https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Example Resource',
'minute' => 'example',
'hour' => 'example',
'day_of_month' => 'example',
'month' => '*',
'day_of_week' => 'example',
'is_active' => true,
'only_when_online' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}"
payload := strings.NewReader("{\n \"name\": \"Example Resource\",\n \"minute\": \"example\",\n \"hour\": \"example\",\n \"day_of_month\": \"example\",\n \"month\": \"*\",\n \"day_of_week\": \"example\",\n \"is_active\": true,\n \"only_when_online\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Example Resource\",\n \"minute\": \"example\",\n \"hour\": \"example\",\n \"day_of_month\": \"example\",\n \"month\": \"*\",\n \"day_of_week\": \"example\",\n \"is_active\": true,\n \"only_when_online\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Resource\",\n \"minute\": \"example\",\n \"hour\": \"example\",\n \"day_of_month\": \"example\",\n \"month\": \"*\",\n \"day_of_week\": \"example\",\n \"is_active\": true,\n \"only_when_online\": true\n}"
response = http.request(request)
puts response.read_body{
"object": "server_schedule",
"attributes": {
"id": 448,
"name": "Leo",
"cron": {
"day_of_week": "*",
"day_of_month": "*",
"month": "*",
"hour": "*",
"minute": "*"
},
"is_active": true,
"is_processing": false,
"only_when_online": false,
"last_run_at": "<string>",
"next_run_at": "2026-06-30T04:00:00+00:00",
"created_at": "2026-09-22T14:45:24+00:00",
"updated_at": "2026-09-22T14:45:24+00:00",
"relationships": {
"tasks": {
"object": "list",
"data": [
{
"object": "schedule_task",
"attributes": {
"id": 151,
"sequence_id": 4,
"action": "power",
"payload": "test command",
"time_offset": 120,
"is_queued": false,
"continue_on_failure": false,
"created_at": "2026-09-22T14:45:24+00:00",
"updated_at": "2026-09-22T14:45:24+00:00"
}
}
]
}
}
}
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>",
"source": {
"field": "<string>"
}
}
]
}string
obrigatório
Chave Client API da sua conta. Você pode gerá-la em Configurações da Conta.
string
obrigatório
Identificador exclusivo para server uuid.
string
obrigatório
Identificador exclusivo para schedule id.
Resposta
string
Tipo de recurso retornado pela API (ex:
server, stats, list, api_key).object
Atributos detalhados do recurso retornado.
Exemplo de Uso
curl -X POST "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer SUA_CHAVE_CLIENT_API"
const response = await fetch("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}", {
method: "POST",
headers: {
"Accept": "application/json",
"Content-Type": "application/json",
"Authorization": "Bearer SUA_CHAVE_CLIENT_API"
}
});
const data = await response.json();
console.log(data);
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
The display name. Must not be greater than 191 characters.
Exemplo:
"Example Resource"
The minute.
Exemplo:
"example"
The hour.
Exemplo:
"example"
The day of month.
Exemplo:
"example"
The month.
Exemplo:
"*"
The day of week.
Exemplo:
"example"
Whether the resource is active.
Exemplo:
true
Whether the schedule should run only when the server is online.
Exemplo:
true